from qt import *
from qspinwidget import QSpinWidget

if __name__ == '__main__':
    class testQSpinWidget(QWidget):
        def __init__(self, *args):
            QWidget.__init__(self, *args)
            layout = QGridLayout(self, 1, 1, 11, 6, "layout")
            for i in range(1, 4):
                l = QLabel("QSpinWidget %s:" % i, self)
                layout.addWidget(l, i, 0)
                sw = QSpinWidget(self, "qsw%s" % i)
                layout.addWidget(sw, i, 1)
                self.connect(sw, SIGNAL("stepUpPressed()"), self.steppedUp)
                self.connect(sw, SIGNAL("stepDownPressed()"), self.steppedDown)

        def steppedUp(self):
            print "%s stepped up" % (self.sender().name())
            
        def steppedDown(self):
            print "%s stepped down" % (self.sender().name())

    import sys
    app = QApplication(sys.argv)
    t = testQSpinWidget()
    # QSpinWidgets aren't meant as standalone widgets
    # thus, they don't deal with size hints
    # give them some extra space
    sz = t.sizeHint()
    sz.setWidth(sz.width() + 60)
    t.resize(sz)
    t.show()
    app.setMainWidget(t)
    app.exec_loop()

